> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.argolabs.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.argolabs.ai/_mcp/server.

# Get Order By Id

GET https://api.argolabs.ai/v1/orders/{order_argo_id}

Reference: https://docs.argolabs.ai/api-reference/orders/get-order-by-id

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `order_argo_id` (string, required)

## Response

### 200

- `created_at` (datetime, required)
- `id` (string, required)
- `store` (StorePartialInfoWithArgoID, required)
- `customer` (CustomerBase, required)
- `status` (enum, required)
  - Allowed values: `PENDING`, `CUSTOMER_CANCELLED`, `STORE_CANCELLED`, `ACCEPTED`, `REJECTED`, `READY`, `FULFILLED`
- `price` (integer, required)
- `tax` (integer, required)
- `items` (list of map from string to any, required)
- `ready_by` (datetime, required)
- `is_read` (boolean, required)
- `in_pos` (boolean, required)
- `result_code` (string, required)
- `result_message` (string, required)
- `customer_comments` (string, optional)
- `completed_at` (datetime, optional)

## Errors

### 422 Unprocessable Entity

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### StorePartialInfoWithArgoID

- `created_at` (datetime, required)
- `id` (string, required)
- `name` (map from string to map from string to string, required)
- `external_id` (string, optional)

### CustomerBase

- `name` (string, required)
- `phone` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "created_at": "2024-01-15T09:30:00Z",
  "id": "order_07TkhrICek7e6QQzX1Dwo",
  "store": {
    "created_at": "2024-01-15T09:30:00Z",
    "id": "store_07Tjin0Daw7e6QQzX1Dwc",
    "name": {
      "key": {
        "key": "value"
      }
    },
    "external_id": "external_id"
  },
  "customer": {
    "name": "name",
    "phone": "phone"
  },
  "status": "PENDING",
  "price": 1,
  "tax": 1,
  "items": [
    {
      "key": "value"
    }
  ],
  "ready_by": "2024-01-15T09:30:00Z",
  "is_read": true,
  "in_pos": true,
  "result_code": "result_code",
  "result_message": "result_message",
  "customer_comments": "customer_comments",
  "completed_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo"

headers = {"x-api-key": "<ApiKeyAuthScheme>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo';
const options = {method: 'GET', headers: {'x-api-key': '<ApiKeyAuthScheme>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<ApiKeyAuthScheme>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<ApiKeyAuthScheme>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo")
  .header("x-api-key", "<ApiKeyAuthScheme>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo', [
  'headers' => [
    'x-api-key' => '<ApiKeyAuthScheme>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<ApiKeyAuthScheme>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<ApiKeyAuthScheme>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.argolabs.ai/v1/orders/order_07TkhrICek7e6QQzX1Dwo")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```